<template>
  <form @submit.prevent>
    <h4>Post creation</h4>
    <my-input
      v-focus
      v-model="post.title"
      type="text"
      placeholder="Title"
    />
    <my-input
      v-model="post.body"
      type="text"
      placeholder="Description"
    />
    <my-button
        @click="createPost"
        class="btn form__btn"
    >
      Create
    </my-button>
  </form>
</template>

<script>
export default {
  data() {
    return {
      post: {
        title: "",
        body: ""
      }
    }
  },
  methods: {
    createPost() {
      this.post.id = Date.now();
      this.$emit('create', this.post)
      this.post = {
        title: "",
        body: ""
      }
    }
  },
  name: "PostForm"
}
</script>

<style scoped>
form {
  display: flex;
  flex-direction: column;
}
.form__btn {
  align-self: flex-end; margin-top: 15px
}
</style>
